Login
User Name:

Password:



Register
Forgot your password?
Vote for Us!
auth_update crash
Dec 23, 2017, 10:15 pm
By Remcon
check_tumble
Dec 18, 2017, 7:21 pm
By Remcon
parse description bug
Dec 15, 2017, 10:08 pm
By Remcon
Couple bugs
Dec 12, 2017, 5:42 pm
By Remcon
Bug in disarm( )
Nov 12, 2017, 6:54 pm
By GatewaySysop
LoP 1.46
Author: Remcon
Submitted by: Remcon
LOP 1.45
Author: Remcon
Submitted by: Remcon
LOP Heroes Edition
Author: Vladaar
Submitted by: Vladaar
Heroes sound extras
Author: Vladaar
Submitted by: Vladaar
6Dragons 4.3
Author: Vladaar
Submitted by: Vladaar
Users Online
CommonCrawl

Members: 0
Guests: 6
Stats
Files
Topics
Posts
Members
Newest Member
478
3,708
19,242
612
Jacki72H
Today's Birthdays
There are no member birthdays today.
Related Links
» SmaugMuds.org » Codebases » AFKMud Support & Development » AFKmud 2.0 Compile Problem
Forum Rules | Mark all | Recent Posts

AFKmud 2.0 Compile Problem
< Newer Topic :: Older Topic > A thread to capture compile issues

Pages:<< prev 1 next >>
Post is unread #1 Dec 27, 2006, 7:29 am
Go to the top of the page
Go to the bottom of the page

markstan

GroupMembers
Posts4
JoinedMay 16, 2006

I am having a problem with the mysql part of 2.0 I get the following error

compiling o/sql.o....
sql.cpp: In function 'void init_mysql()':
sql.cpp:53 error: 'MYSQL_OPT_RECONNECT' was not declared in scope

Any ideas, I have tried on mandriva 2006 and ubuntu.

Thanks in advance

Mark
       
Post is unread #2 Dec 27, 2006, 9:53 am
Go to the top of the page
Go to the bottom of the page

Samson
Black Hand
GroupAdministrators
Posts3,639
JoinedJan 1, 2002

Hmm. I wonder if that option flag is specific to certain versions of MySQL. What version of MySQL does your system have installed? If it's not something that can be resolved easily I may need to make SQL something that can be flagged out at compile time regardless of it being CYGWIN or not.
       
Post is unread #3 Dec 27, 2006, 1:02 pm
Go to the top of the page
Go to the bottom of the page

markstan

GroupMembers
Posts4
JoinedMay 16, 2006

The version on the ubuntu machine is running

mysql Ver 14.12 Distrib 5.0.24a, for pc-linux-gnu (i486) using readline 5.1
       
Post is unread #4 Dec 27, 2006, 2:02 pm
Go to the top of the page
Go to the bottom of the page

markstan

GroupMembers
Posts4
JoinedMay 16, 2006

Upgraded the libmysqlclient to libmysqlclient15 and it now works. If anybody wants to know the exact ubuntu configuration let me know and I will post it.

Mark
:grinning:
       
Post is unread #5 Dec 27, 2006, 2:08 pm
Go to the top of the page
Go to the bottom of the page

kiasyn
Magician
GroupMembers
Posts121
JoinedJun 30, 2006

Post it anyway. You can never have too much information available.
       
Post is unread #6 Dec 27, 2006, 6:54 pm
Go to the top of the page
Go to the bottom of the page

Samson
Black Hand
GroupAdministrators
Posts3,639
JoinedJan 1, 2002

Yes, it would be appreciated to have whatever information we can get assembled for launch day. Ubuntu may require similar things to other systems, especially other flavors of Debian.
       
Post is unread #7 Dec 27, 2006, 7:15 pm   Last edited Dec 27, 2006, 7:16 pm by Zarius
Go to the top of the page
Go to the bottom of the page

Zarius
Apprentice
GroupMembers
Posts69
JoinedApr 23, 2002

For Ubuntu you need to apt-get 2 packages

1. apt-get install libgd2-dev (this actually installs a bunch of dependency stuff as well)
2. apt-get install libmysqlclient15-dev (May need mysql-client as well)
       
Pages:<< prev 1 next >>